.tools-delete-button {
  position: absolute;
  right: 0;
  display: flex;
  align-items: center;
  background-color: var(--grey);
  color: var(--white);
  cursor: pointer;
  padding: 0.5em;
  border-radius: 2em;
}
.tools-delete-button:hover {
  background-color: var(--grey-dark);
}
.tools-delete-button img {
  width: 1.5em;
  filter: invert(100%);
}
.tools-delete-button-text {
  overflow: hidden;
  margin: 0;
  max-width: 0;
  transition: all 0.3s;
}
.tools-delete-button:hover .tools-delete-button-text {
  max-width: 5em;
  margin: 0 0.5em;
}